=== debian/watch ===
version=4

opts=\
dversionmangle=auto,\
repacksuffix=+dfsg,\
uversionmangle=s/-rc/~rc/;s/(\d+)\.(\d+)\.(\d+)/$1.$2/g,\
compression=xz \
  https://download.qemu.org/ qemu-@ANY_VERSION@@ARCHIVE_EXT@
